- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# netapp_e_global – NetApp E-Series manage global settings configuration

New in version 2.7.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Allow the user to configure several of the global settings associated with an E-Series storage-system

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password string / required |  | The password to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the SANtricity Web Services Proxy or Embedded Web Services API. Example https://prod-1.wahoo.acme.com/devmgr/v2
api_username string / required |  | The username to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
log_path - |  | A local path to a file to be used for debug logging
name - |  | Set the name of the E-Series storage-system This label/name doesn't have to be unique. May be up to 30 characters in length. aliases: label
ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.
validate_certs boolean | Choices: no yes ← | Should https certificates be validated?

## Notes

Note

- Check mode is supported.
- This module requires Web Services API v1.3 or newer.
- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.
- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.
- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    - name: Set the storage-system name
      netapp_e_global:
        name: myArrayName
        api_url: "10.1.1.1:8443"
        api_username: "admin"
        api_password: "myPass"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | on success | Success message Sample: The settings have been updated.
name string | on success | The current name/label of the storage-system. Sample: myArrayName

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Price (@lmprice)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.